Bug 491918 - (CVE-2008-6514) CVE-2008-6514 compiz-fusion: Possible locked desktop access by using Expo plugin mouse shortcuts
CVE-2008-6514 compiz-fusion: Possible locked desktop access by using Expo plu...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://bugzilla.gnome.org/show_bug.cg...
source=cve,impact=moderate,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 12:24 EDT by Jan Lieskovsky
Modified: 2009-11-24 16:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 16:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-03-24 12:24:21 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-6514 to
the following vulnerability:

The Expo plugin in Compiz Fusion 0.7.8 allows local users with
physical access to drag the screen saver aside and access the locked
desktop by using Expo mouse shortcuts, a related issue to
CVE-2007-3920.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-6514
https://bugs.launchpad.net/ubuntu/+source/compiz-fusion-plugins-main/+bug/247088
http://bugzilla.gnome.org/show_bug.cgi?id=561567
http://www.securityfocus.com/bid/32712
http://secunia.com/advisories/33077
http://xforce.iss.net/xforce/xfdb/47172

Upstream patch:
http://gitweb.compiz-fusion.org/?p=fusion/plugins/expo;a=commit;h=f97a9fa6f0ad578f674d1f248bd7bef90e3260e0
Comment 1 Jan Lieskovsky 2009-03-24 12:25:11 EDT
This issue affects the version of compiz-fusion package, as shipped
with Fedora releases of 9 and 10.

Please fix.
Comment 2 Fedora Update System 2009-03-24 15:19:42 EDT
compiz-fusion-0.7.8-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/compiz-fusion-0.7.8-4.fc10
Comment 3 Fedora Update System 2009-03-24 15:20:26 EDT
compiz-fusion-0.7.6-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/compiz-fusion-0.7.6-6.fc9
Comment 4 Adel Gadllah 2009-03-24 15:23:43 EDT
(In reply to comment #1)
> This issue affects the version of compiz-fusion package, as shipped
> with Fedora releases of 9 and 10.
> 
> Please fix.  

Thanks for the report, I have built fixed packages in rawhide, F-10 and F-9 and requested a push for the F-10 and F-9 packages in bodhi.
Comment 5 Fedora Update System 2009-03-25 12:01:41 EDT
compiz-fusion-0.7.8-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-03-25 12:04:12 EDT
compiz-fusion-0.7.6-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.